Documentation Index

Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt

Use this file to discover all available pages before exploring further.

/public/accounting/v1/general-ledger/bank-accounts

Prev Next
Get
/public/accounting/v1/general-ledger/bank-accounts

Retrieves bank accounts for the current tenant with optional date-range filtering and pagination

Security
HTTP
Type Bearer

Put ONLY your JWT Bearer token on textbox below!

Query parameters
modifiedOnStart
string (date-time)

ISO-8601 UTC timestamp lower bound (inclusive). Returns accounts modified on or after this value

modifiedOnEnd
string (date-time)

ISO-8601 UTC timestamp upper bound (inclusive). Returns accounts modified on or before this value

pageSize
integer

Number of records to return per page, maximum 250

Maximum250.0
Default250
continuationToken
string

Continuation token for retrieving the next page of results

Responses
200

Paginated list of bank accounts.

Expand All
object

Response containing Bank Accounts with pagination support.

bankAccounts
Array of object (R365.Services.Accounting.GeneralLedger.Contracts.BankAccounts.Models.QueryBankAccount) | null

Bank Accounts.

object

Public API DTO for a bank account returned by the GET bank-accounts endpoint.

id
string (uuid)

Bank Account identifier.

name
string | null

Bank Account Name (GL Account name).

number
string | null

Bank Account Number (GL Account number).

parentAccount
object (R365.Services.Accounting.GeneralLedger.Contracts.BankAccounts.Models.ParentBankAccount)

Reference to a parent bank account.

id
string (uuid)

Parent account identifier.

name
string | null

Parent account name.

number
string | null

Parent account number.

glType
string | null

Parent account GL type.

glType
string | null

GL Type name.

legalEntity
object (R365.Services.Accounting.GeneralLedger.Contracts.BankAccounts.Models.EntityReference)

Reference to an entity with id and name.

id
string (uuid)

Entity identifier.

name
string | null

Entity name.

number
string | null

Entity number (optional, populated for legal entities).

bank
object (R365.Services.Accounting.GeneralLedger.Contracts.GLAccounts.Models.EntityReferenceGuid)

Base class for entity references.

id
string (uuid)

The identifier of this entity.

name
string | null

The name of this entity.

accountType
string | null

Account type (Checking, Savings, etc.).

bankAccountNumber
string | null

Bank account number (masked based on permissions).

bankRoutingNumber
string | null

Bank routing number.

bankIcd
integer (int64) | null

Bank ICD (internal bank code).

positivePayBankID
string | null

Positive Pay Bank identifier.

achImmediateOrigin
string | null

ACH immediate origin.

achCompanyId
string | null

ACH company identifier.

achCompanyName
string | null

ACH company name.

defaultLocation
object (R365.Services.Accounting.GeneralLedger.Contracts.BankAccounts.Models.LocationReference)

Reference to a location with legal entity.

id
string (uuid)

Location identifier.

name
string | null

Location name.

number
string | null

Location number.

legalEntity
object (R365.Services.Accounting.GeneralLedger.Contracts.BankAccounts.Models.EntityReference)

Reference to an entity with id and name.

id
string (uuid)

Entity identifier.

name
string | null

Entity name.

number
string | null

Entity number (optional, populated for legal entities).

createdOn
string (date-time)

Created date.

createdBy
object (R365.Services.Accounting.GeneralLedger.Contracts.GLAccounts.Models.EntityReferenceGuid)

Base class for entity references.

id
string (uuid)

The identifier of this entity.

name
string | null

The name of this entity.

modifiedOn
string (date-time) | null

Modified date.

modifiedBy
object (R365.Services.Accounting.GeneralLedger.Contracts.GLAccounts.Models.EntityReferenceGuid)

Base class for entity references.

id
string (uuid)

The identifier of this entity.

name
string | null

The name of this entity.

nextLink
string | null

URL to retrieve the next page of results, or null if this is the last page.

422

Unprocessable Content

Expand All
object
errorCode
string | null
innerError
object (R365.Accounting.Public.Models.R365Error)
errorCode
string | null
innerError
object (R365.Accounting.Public.Models.R365Error) Recursive